com.google.cloud.dataflow.sdk.transforms

## Class Create.Values<T>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PInput,PCollection<T>>
  - - com.google.cloud.dataflow.sdk.transforms.Create.Values<T>

All Implemented Interfaces:
  HasDisplayData, Serializable

Direct Known Subclasses:
  Create.TimestampedValues

Enclosing class:
  Create<T>

    public static class Create.Values<T>
    extends PTransform<PInput,PCollection<T>>

A `PTransform` that creates a `PCollection` from a set of in-memory objects.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Method Summary

All Methods Instance Methods Concrete Methods
`PCollection<T>` `apply(PInput input)` Applies this `PTransform` on the given `InputT`, and returns its `Output`.
`Coder<T>` `getDefaultOutputCoder(PInput input)` Returns the default `Coder` to use for the output of this single-output `PTransform` when applied to the given input.
`Iterable<T>` `getElements()`
`Create.Values<T>` `withCoder(Coder<T> coder)` Returns a `Create.Values` PTransform like this one that uses the given `Coder<T>` to decode each of the objects into a value of type `T`.

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### withCoder

    public Create.Values<T> withCoder(Coder<T> coder)

Returns a `Create.Values` PTransform like this one that uses the given `Coder<T>` to decode each of the objects into a value of type `T`.

By default, `Create.Values` can automatically determine the `Coder` to use if all elements have the same non-parameterized run-time class, and a default coder is registered for that class. See `CoderRegistry` for details on how defaults are determined.

Note that for `Create.Values` with no elements, the `VoidCoder` is used.

#### getElements

    public Iterable<T> getElements()

#### apply

    public PCollection<T> apply(PInput input)

Description copied from class: `PTransform`
Applies this `PTransform` on the given `InputT`, and returns its `Output`.

Composite transforms, which are defined in terms of other transforms, should return the output of one of the composed transforms. Non-composite transforms, which do not apply any transforms internally, should return a new unbound output and register evaluators (via backend-specific registration methods).

The default implementation throws an exception. A derived class must either implement apply, or else each runner must supply a custom implementation via `PipelineRunner.apply(com.google.cloud.dataflow.sdk.transforms.PTransform<InputT, OutputT>, InputT)`.

Overrides:
  `apply` in class `PTransform<PInput,PCollection<T>>`

#### getDefaultOutputCoder

    public Coder<T> getDefaultOutputCoder(PInput input)
                                   throws CannotProvideCoderException

Description copied from class: `PTransform`
Returns the default `Coder` to use for the output of this single-output `PTransform` when applied to the given input.

Overrides:
  `getDefaultOutputCoder` in class `PTransform<PInput,PCollection<T>>`
Throws:
  `CannotProvideCoderException` - if none can be inferred.

  By default, always throws.